org.deidentifier.arx.gui.resources

## Class Charsets

- java.lang.Object
- - org.deidentifier.arx.gui.resources.Charsets

    public class Charsets
    extends java.lang.Object

A class for managing charsets. In comparison to the class `Charset` provided by the Java libraries, this class restricts the set of available charset to the most common ones (ordered by frequency of use) and it provides consistent and beautified labels.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Charsets()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.nio.charset.Charset` `getCharsetForName(java.lang.String name)` Returns a charset for the given name
`static java.lang.String` `getNameOfDefaultCharset()` Returns the system's default charset
`static java.lang.String[]` `getNamesOfAvailableCharsets()` Returns a list of available charsets.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Charsets

    public Charsets()

### Method Detail

#### getCharsetForName

    public static java.nio.charset.Charset getCharsetForName(java.lang.String name)

Returns a charset for the given name

Parameters:
  `name` -
Returns:

#### getNameOfDefaultCharset

    public static java.lang.String getNameOfDefaultCharset()

Returns the system's default charset

Returns:

#### getNamesOfAvailableCharsets

    public static java.lang.String[] getNamesOfAvailableCharsets()

Returns a list of available charsets. The list is restricted to the most common charsets.

Returns: